## psi 0.9.3

=== mac/Makefile ===
#
# Build file for packaging Psi/Mac.
#
# The DMG packager looks for a template.dmg.bz2 for using as its 
# DMG template. If it doesn't find one, it generates a clean one.
#
# If you create a DMG template, you should make one containing all
# the files listed in $(FILES) below, and arrange everything to suit
# your style. The contents of the files themselves does not matter, so
# they can be empty. 
#
# Remko Troncon <remko.troncon@cs.kuleuven.ac.be>
#

# Change these according to your own setup
QTDIR=/Developer/qt
QCADIR=/Developer/qca
PSI_DIR=..

NAME=Psi
VERSION=0.9.3
#VERSION=0.10_CVS_$(shell date +"%Y%m%d")

FILES=Psi.app README COPYING
DISK_DIR=disk
DISK_FILES=$(foreach f,$(FILES), $(addprefix $(DISK_DIR)/,$(f)))
MASTER_DMG=$(NAME)-$(VERSION).dmg

.PHONY: buildall
all: build-psi $(DISK_FILES)

.PHONY: buildall
dmg: build-psi $(MASTER_DMG)

# Cleanup
.PHONY: clean
clean: clean-dmg
	-rm -rf $(DISK_DIR)

# Help
.PHONY: help
help:
	@echo "Usage:"
	@echo "    make : Build a distributable binary in $(DISK_DIR)/"
	@echo "    make dmg : Build a DMG disk image"

# Building the main source tree
.PHONY:
build-psi:
	@echo
	@echo --------------------- Building Source Tree --------------------
	$(MAKE) -C $(PSI_DIR)
	@echo


################################################################################
# Generation of the final files
################################################################################

# The binary
$(DISK_DIR)/Psi.app: $(PSI_DIR)/src/psi.app
	@echo
	@echo --------------------- Packaging Binary --------------------
	rm -rf "$@"
	ditto -rsrc "$<" "$@"
	mkdir -p "$@/Contents/Resources/crypto"
	cp -f "$(QTDIR)/plugins/crypto/libqca-tls.dylib" "$@/Contents/Resources/crypto/"
	mkdir -p "$@/Contents/Frameworks"
	cp -f "$(QTDIR)/lib/libqt-mt.3.dylib" "$@/Contents/Frameworks/"
	cp -f "$(QCADIR)/lib/libqca.1.dylib" "$@/Contents/Frameworks/"
	strip "$@/Contents/MacOS/psi"
	install_name_tool -id @executable_path/../Frameworks/libqt-mt.3.dylib "$@/Contents/Frameworks/libqt-mt.3.dylib"
	install_name_tool -change libqt-mt.3.dylib "@executable_path/../Frameworks/libqt-mt.3.dylib" "$@/Contents/MacOS/psi"
	install_name_tool -change libqt-mt.3.dylib "@executable_path/../Frameworks/libqt-mt.3.dylib" "$@/Contents/Frameworks/libqca.1.dylib"
	install_name_tool -change libqt-mt.3.dylib "@executable_path/../Frameworks/libqt-mt.3.dylib" "$@/Contents/Resources/crypto/libqca-tls.dylib"
	install_name_tool -id @executable_path/../Frameworks/libqca.1.dylib "$@/Contents/Frameworks/libqca.1.dylib"
	install_name_tool -change libqca.1.dylib "@executable_path/../Frameworks/libqca.1.dylib" "$@/Contents/MacOS/psi"
	@echo 

# The rest
$(DISK_DIR)/%: $(PSI_DIR)/%
	ditto -rsrc "$<" $@


################################################################################
# Disk image creation
################################################################################

WC_DMG=wc.dmg
WC_DIR=wc
TEMPLATE_DMG=template.dmg

$(TEMPLATE_DMG): $(TEMPLATE_DMG).bz2
	bunzip2 -k $<

$(TEMPLATE_DMG).bz2: 
	@echo
	@echo --------------------- Generating empty template --------------------
	mkdir template
	hdiutil create -size 40m "$(TEMPLATE_DMG)" -srcfolder template -format UDRW -volname "$(NAME)" -quiet
	rmdir template
	bzip2 "$(TEMPLATE_DMG)"
	@echo

$(WC_DMG): $(TEMPLATE_DMG)
	cp $< $@

$(MASTER_DMG): $(WC_DMG) $(DISK_FILES)
	@echo
	@echo --------------------- Creating Disk Image --------------------
	mkdir -p $(WC_DIR)
	hdiutil attach "$(WC_DMG)" -noautoopen -quiet -mountpoint "$(WC_DIR)"
	for i in $(FILES); do  \
		rm -rf "$(WC_DIR)/$$i"; \
		ditto -rsrc "$(DISK_DIR)/$$i" "$(WC_DIR)/$$i"; \
	done
	#rm -f "$@"
	#hdiutil create -srcfolder "$(WC_DIR)" -format UDZO -imagekey zlib-level=9 "$@" -volname "$(NAME) $(VERSION)" -scrub -quiet
	WC_DEV=`hdiutil info | grep "$(WC_DIR)" | grep "Apple_HFS" | awk '{print $$1}'` && \
	hdiutil detach $$WC_DEV -quiet -force
	rm -f "$(MASTER_DMG)"
	hdiutil convert "$(WC_DMG)" -quiet -format UDZO -imagekey zlib-level=9 -o "$@"
	rm -rf $(WC_DIR)
	@echo

.PHONY: clean-dmg
clean-dmg:
	-rm -rf $(TEMPLATE_DMG) $(MASTER_DMG) $(WC_DMG)

## psi 0.10

=== mac/Makefile ===
--- 
+++ 
@@ -9,28 +9,34 @@
 # your style. The contents of the files themselves does not matter, so
 # they can be empty. 
 #
-# Remko Troncon <remko.troncon@cs.kuleuven.ac.be>
+# Parameters:
+#	* BUILD: Set this to 'no' if you do not want to build the source tree or
+#		check dependencies of the 'disk' dir when building the DMG.
+#
+# Remko Troncon <remko@psi-im.org>
 #
 
 # Change these according to your own setup
 QTDIR=/Developer/qt
 QCADIR=/Developer/qca
+GROWLDIR=/Library/Frameworks
 PSI_DIR=..
 
 NAME=Psi
-VERSION=0.9.3
 #VERSION=0.10_CVS_$(shell date +"%Y%m%d")
-
-FILES=Psi.app README COPYING
+VERSION=0.10
+FILES=Psi.app 
 DISK_DIR=disk
+ifneq ($(BUILD),no)
 DISK_FILES=$(foreach f,$(FILES), $(addprefix $(DISK_DIR)/,$(f)))
+endif
 MASTER_DMG=$(NAME)-$(VERSION).dmg
 
 .PHONY: buildall
 all: build-psi $(DISK_FILES)
 
-.PHONY: buildall
-dmg: build-psi $(MASTER_DMG)
+.PHONY: dmg
+dmg: build-psi $(DISK_FILES) $(MASTER_DMG)
 
 # Cleanup
 .PHONY: clean
@@ -45,12 +51,16 @@
 	@echo "    make dmg : Build a DMG disk image"
 
 # Building the main source tree
-.PHONY:
+.PHONY: build-psi
+ifneq ($(BUILD),no)
 build-psi:
 	@echo
 	@echo --------------------- Building Source Tree --------------------
 	$(MAKE) -C $(PSI_DIR)
 	@echo
+else
+build-psi:
+endif
 
 
 ################################################################################
@@ -66,6 +76,7 @@
 	mkdir -p "$@/Contents/Resources/crypto"
 	cp -f "$(QTDIR)/plugins/crypto/libqca-tls.dylib" "$@/Contents/Resources/crypto/"
 	mkdir -p "$@/Contents/Frameworks"
+	-ditto -rsrc "$(GROWLDIR)/Growl.framework" "$@/Contents/Frameworks/Growl.framework"
 	cp -f "$(QTDIR)/lib/libqt-mt.3.dylib" "$@/Contents/Frameworks/"
 	cp -f "$(QCADIR)/lib/libqca.1.dylib" "$@/Contents/Frameworks/"
 	strip "$@/Contents/MacOS/psi"
@@ -110,9 +121,10 @@
 	@echo --------------------- Creating Disk Image --------------------
 	mkdir -p $(WC_DIR)
 	hdiutil attach "$(WC_DMG)" -noautoopen -quiet -mountpoint "$(WC_DIR)"
-	for i in $(FILES); do  \
-		rm -rf "$(WC_DIR)/$$i"; \
-		ditto -rsrc "$(DISK_DIR)/$$i" "$(WC_DIR)/$$i"; \
+	for i in $(DISK_DIR)/*; do  \
+		file=`basename $$i`; \
+		rm -rf "$(WC_DIR)/$$file"; \
+		ditto -rsrc "$(DISK_DIR)/$$file" "$(WC_DIR)/$$file"; \
 	done
 	#rm -f "$@"
 	#hdiutil create -srcfolder "$(WC_DIR)" -format UDZO -imagekey zlib-level=9 "$@" -volname "$(NAME) $(VERSION)" -scrub -quiet
@@ -121,9 +133,10 @@
 	rm -f "$(MASTER_DMG)"
 	hdiutil convert "$(WC_DMG)" -quiet -format UDZO -imagekey zlib-level=9 -o "$@"
 	rm -rf $(WC_DIR)
+	-hdiutil internet-enable -yes -quiet "$@"
 	@echo
 
 .PHONY: clean-dmg
 clean-dmg:
-	-rm -rf $(TEMPLATE_DMG) $(MASTER_DMG) $(WC_DMG)
+	-rm -rf $(TEMPLATE_DMG) $(MASTER_DMG) $(WC_DMG) $(NAME)-*.dmg

## psi 0.11

=== mac/Makefile ===
--- 
+++ 
@@ -17,14 +17,14 @@
 #
 
 # Change these according to your own setup
-QTDIR=/Developer/qt
-QCADIR=/Developer/qca
+QTDIR=/usr/local/Trolltech/Qt-4.3.1
+QCADIR=/usr/local
 GROWLDIR=/Library/Frameworks
 PSI_DIR=..
 
 NAME=Psi
-#VERSION=0.10_CVS_$(shell date +"%Y%m%d")
-VERSION=0.10
+#VERSION=0.11-devel_$(shell date +"%Y%m%d")_debug
+VERSION=0.11
 FILES=Psi.app 
 DISK_DIR=disk
 ifneq ($(BUILD),no)
@@ -32,6 +32,12 @@
 endif
 MASTER_DMG=$(NAME)-$(VERSION).dmg
 
+
+# Other variables
+QT_FRAMEWORK_VERSION=4
+QT_FRAMEWORKS=QtCore QtXml QtNetwork QtGui QtSql Qt3Support
+
+# The rules
 .PHONY: buildall
 all: build-psi $(DISK_FILES)
 
@@ -73,20 +79,42 @@
 	@echo --------------------- Packaging Binary --------------------
 	rm -rf "$@"
 	ditto -rsrc "$<" "$@"
-	mkdir -p "$@/Contents/Resources/crypto"
-	cp -f "$(QTDIR)/plugins/crypto/libqca-tls.dylib" "$@/Contents/Resources/crypto/"
 	mkdir -p "$@/Contents/Frameworks"
 	-ditto -rsrc "$(GROWLDIR)/Growl.framework" "$@/Contents/Frameworks/Growl.framework"
-	cp -f "$(QTDIR)/lib/libqt-mt.3.dylib" "$@/Contents/Frameworks/"
-	cp -f "$(QCADIR)/lib/libqca.1.dylib" "$@/Contents/Frameworks/"
-	strip "$@/Contents/MacOS/psi"
-	install_name_tool -id @executable_path/../Frameworks/libqt-mt.3.dylib "$@/Contents/Frameworks/libqt-mt.3.dylib"
-	install_name_tool -change libqt-mt.3.dylib "@executable_path/../Frameworks/libqt-mt.3.dylib" "$@/Contents/MacOS/psi"
-	install_name_tool -change libqt-mt.3.dylib "@executable_path/../Frameworks/libqt-mt.3.dylib" "$@/Contents/Frameworks/libqca.1.dylib"
-	install_name_tool -change libqt-mt.3.dylib "@executable_path/../Frameworks/libqt-mt.3.dylib" "$@/Contents/Resources/crypto/libqca-tls.dylib"
-	install_name_tool -id @executable_path/../Frameworks/libqca.1.dylib "$@/Contents/Frameworks/libqca.1.dylib"
-	install_name_tool -change libqca.1.dylib "@executable_path/../Frameworks/libqca.1.dylib" "$@/Contents/MacOS/psi"
-	@echo 
+	#strip "$@/Contents/MacOS/psi"
+	#
+	#@echo
+	#@echo Installing QCA ...
+	#cp -f "$(QCADIR)/lib/libqca.2.dylib" "$@/Contents/Frameworks/"
+	#install_name_tool -id "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/Frameworks/libqca.2.dylib"
+	#install_name_tool -change "libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/MacOS/psi"
+	#install_name_tool -change "$(QCADIR)/lib/libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/MacOS/psi"
+	#mkdir -p "$@/Contents/Resources/crypto"
+	#cp -f "$(QTDIR)/plugins/crypto/libqca-openssl.dylib" "$@/Contents/Resources/crypto/"
+	#install_name_tool -change "$(QCADIR)/lib/libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/Resources/crypto/libqca-openssl.dylib"
+	#install_name_tool -change "libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/Resources/crypto/libqca-openssl.dylib"
+	mkdir -p "$@/Contents/Resources/imageformats"
+	cp -f "$(QTDIR)/plugins/imageformats/libqjpeg.dylib" "$@/Contents/Resources/imageformats/"
+	#
+	@echo
+	@echo Installing Qt Frameworks ...
+	for f in $(QT_FRAMEWORKS); do \
+		ditto -rsrc "$(QTDIR)/lib/$$f.framework" "$@/Contents/Frameworks/$$f.framework"; \
+		rm -rf "$@/Contents/Frameworks/$$f.framework/Headers"; \
+		rm -rf "$@/Contents/Frameworks/$$f.framework/$$f""_debug"; \
+		rm -rf "$@/Contents/Frameworks/$$f.framework/$$f""_debug.prl"; \
+		rm -rf "$@/Contents/Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/Headers"; \
+		rm -rf "$@/Contents/Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f""_debug"; \
+		rm -rf "$@/Contents/Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f""_debug.prl"; \
+		install_name_tool -id "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Frameworks/$$f.framework/$$f"; \
+		for g in $(QT_FRAMEWORKS); do \
+			install_name_tool -change "$(QTDIR)/lib/$$g.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$g" "@executable_path/../Frameworks/$$g.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$g" "$@/Contents/Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f"; \
+		done; \
+		\# install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Frameworks/libqca.2.dylib"; \
+		\# install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Resources/crypto/libqca-openssl.dylib"; \
+		install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Resources/imageformats/libqjpeg.dylib"; \
+		install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/MacOS/psi"; \
+	done
 
 # The rest
 $(DISK_DIR)/%: $(PSI_DIR)/%
@@ -108,7 +136,7 @@
 	@echo
 	@echo --------------------- Generating empty template --------------------
 	mkdir template
-	hdiutil create -size 40m "$(TEMPLATE_DMG)" -srcfolder template -format UDRW -volname "$(NAME)" -quiet
+	hdiutil create -size 80m "$(TEMPLATE_DMG)" -srcfolder template -format UDRW -volname "$(NAME)" -quiet
 	rmdir template
 	bzip2 "$(TEMPLATE_DMG)"
 	@echo

=== win32/Makefile ===
# NOTE: All files are relative to the win32 subdir

#QCADIR=..\..\qca-2.0-beta1
#QCA_OPENSSLDIR=..\..\qca-openssl
ASPELLDIR=C:\aspell
QTDIR=C:\Qt\4.2.0
MINGWDIR=c:\MingW
WINDOWSDIR=C:\Winnt

TARGET_DIR=psi

.PHONY: all
all:
	cd .. && $(MAKE)
	-mkdir $(TARGET_DIR)
	copy ..\src\release\psi.exe $(TARGET_DIR)
	rem copy $(QCADIR)\lib\qca2.dll $(TARGET_DIR)
	copy $(QTDIR)\bin\QtCore4.dll $(TARGET_DIR)
	copy $(QTDIR)\bin\QtGui4.dll $(TARGET_DIR)
	copy $(QTDIR)\bin\QtNetwork4.dll $(TARGET_DIR)
	copy $(QTDIR)\bin\QtXml4.dll $(TARGET_DIR)
	copy $(QTDIR)\bin\Qt3Support4.dll $(TARGET_DIR)
	copy $(QTDIR)\bin\QtSql4.dll $(TARGET_DIR)
	copy $(MINGWDIR)\bin\mingwm10.dll $(TARGET_DIR)
	copy ..\src\tools\idle\win32\idleui.dll $(TARGET_DIR)
	xcopy /i /e /q /y ..\certs $(TARGET_DIR)\certs
	xcopy /i /e /q /y ..\iconsets $(TARGET_DIR)\iconsets
	xcopy /i /e /q /y ..\sound $(TARGET_DIR)\sound
	copy ..\COPYING $(TARGET_DIR)
	tod ..\README $(TARGET_DIR)\ReadMe.txt
	tod ..\INSTALL $(TARGET_DIR)\Install.txt
	rem -mkdir $(TARGET_DIR)\crypto
	rem copy $(QCA_OPENSSLDIR)\release\qca-openssl.dll $(TARGET_DIR)\crypto
	copy $(WINDOWSDIR)\system32\libeay32.dll $(TARGET_DIR)
	copy $(WINDOWSDIR)\system32\ssleay32.dll $(TARGET_DIR)
	-mkdir $(TARGET_DIR)\aspell
	copy $(ASPELLDIR)\bin\aspell-15.dll $(TARGET_DIR)
	xcopy /i /e /q /y $(ASPELLDIR)\dict $(TARGET_DIR)\aspell\dict
	xcopy /i /e /q /y $(ASPELLDIR)\data $(TARGET_DIR)\aspell\data

## psi 0.12

=== mac/Makefile ===
--- 
+++ 
@@ -13,19 +13,23 @@
 #	* BUILD: Set this to 'no' if you do not want to build the source tree or
 #		check dependencies of the 'disk' dir when building the DMG.
 #
-# Remko Troncon <remko@psi-im.org>
+# Remko Troncon 
+# http://el-tramo.be
 #
 
 # Change these according to your own setup
-QTDIR=/usr/local/Trolltech/Qt-4.3.1
 QCADIR=/usr/local
 GROWLDIR=/Library/Frameworks
 PSI_DIR=..
 
+EXECUTABLE_NAME=psi
 NAME=Psi
-#VERSION=0.11-devel_$(shell date +"%Y%m%d")_debug
-VERSION=0.11
-FILES=Psi.app 
+VOLUME_NAME=$(NAME)
+#VERSION=0.12-devel_$(shell date +"%Y%m%d")
+VERSION=0.12
+
+APPFILE_NAME=Psi.app
+FILES=$(APPFILE_NAME)
 DISK_DIR=disk
 ifneq ($(BUILD),no)
 DISK_FILES=$(foreach f,$(FILES), $(addprefix $(DISK_DIR)/,$(f)))
@@ -36,6 +40,7 @@
 # Other variables
 QT_FRAMEWORK_VERSION=4
 QT_FRAMEWORKS=QtCore QtXml QtNetwork QtGui QtSql Qt3Support
+QT_PLUGINS=imageformats/libqjpeg.dylib imageformats/libqgif.dylib
 
 # The rules
 .PHONY: buildall
@@ -74,27 +79,29 @@
 ################################################################################
 
 # The binary
-$(DISK_DIR)/Psi.app: $(PSI_DIR)/src/psi.app
+$(DISK_DIR)/$(APPFILE_NAME): $(PSI_DIR)/src/$(EXECUTABLE_NAME).app
 	@echo
 	@echo --------------------- Packaging Binary --------------------
 	rm -rf "$@"
 	ditto -rsrc "$<" "$@"
 	mkdir -p "$@/Contents/Frameworks"
 	-ditto -rsrc "$(GROWLDIR)/Growl.framework" "$@/Contents/Frameworks/Growl.framework"
-	#strip "$@/Contents/MacOS/psi"
+	#strip "$@/Contents/MacOS/$(EXECUTABLE_NAME)"
 	#
 	#@echo
 	#@echo Installing QCA ...
 	#cp -f "$(QCADIR)/lib/libqca.2.dylib" "$@/Contents/Frameworks/"
 	#install_name_tool -id "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/Frameworks/libqca.2.dylib"
-	#install_name_tool -change "libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/MacOS/psi"
-	#install_name_tool -change "$(QCADIR)/lib/libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/MacOS/psi"
+	#install_name_tool -change "libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/MacOS/$(EXECUTABLE_NAME)"
+	#install_name_tool -change "$(QCADIR)/lib/libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/MacOS/$(EXECUTABLE_NAME)"
 	#mkdir -p "$@/Contents/Resources/crypto"
 	#cp -f "$(QTDIR)/plugins/crypto/libqca-openssl.dylib" "$@/Contents/Resources/crypto/"
 	#install_name_tool -change "$(QCADIR)/lib/libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/Resources/crypto/libqca-openssl.dylib"
 	#install_name_tool -change "libqca.2.dylib" "@executable_path/../Frameworks/libqca.2.dylib" "$@/Contents/Resources/crypto/libqca-openssl.dylib"
-	mkdir -p "$@/Contents/Resources/imageformats"
-	cp -f "$(QTDIR)/plugins/imageformats/libqjpeg.dylib" "$@/Contents/Resources/imageformats/"
+	for f in $(QT_PLUGINS); do \
+		mkdir -p "$@/Contents/Plugins/`dirname $$f`"; \
+		cp -f "$(QTDIR)/plugins/$$f" "$@/Contents/Plugins/`dirname $$f`"; \
+	done; \
 	#
 	@echo
 	@echo Installing Qt Frameworks ...
@@ -110,10 +117,12 @@
 		for g in $(QT_FRAMEWORKS); do \
 			install_name_tool -change "$(QTDIR)/lib/$$g.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$g" "@executable_path/../Frameworks/$$g.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$g" "$@/Contents/Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f"; \
 		done; \
+		for g in $(QT_PLUGINS); do \
+			install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Plugins/$$g"; \
+		done; \
 		\# install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Frameworks/libqca.2.dylib"; \
 		\# install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Resources/crypto/libqca-openssl.dylib"; \
-		install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/Resources/imageformats/libqjpeg.dylib"; \
-		install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/MacOS/psi"; \
+		install_name_tool -change "$(QTDIR)/lib/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "@executable_path/../Frameworks/$$f.framework/Versions/$(QT_FRAMEWORK_VERSION)/$$f" "$@/Contents/MacOS/$(EXECUTABLE_NAME)"; \
 	done
 
 # The rest
@@ -136,7 +145,7 @@
 	@echo
 	@echo --------------------- Generating empty template --------------------
 	mkdir template
-	hdiutil create -size 80m "$(TEMPLATE_DMG)" -srcfolder template -format UDRW -volname "$(NAME)" -quiet
+	hdiutil create -size 80m "$(TEMPLATE_DMG)" -srcfolder template -format UDRW -volname "$(VOLUME_NAME)" -quiet
 	rmdir template
 	bzip2 "$(TEMPLATE_DMG)"
 	@echo
@@ -156,8 +165,7 @@
 	done
 	#rm -f "$@"
 	#hdiutil create -srcfolder "$(WC_DIR)" -format UDZO -imagekey zlib-level=9 "$@" -volname "$(NAME) $(VERSION)" -scrub -quiet
-	WC_DEV=`hdiutil info | grep "$(WC_DIR)" | grep "Apple_HFS" | awk '{print $$1}'` && \
-	hdiutil detach $$WC_DEV -quiet -force
+	diskutil eject `diskutil list | grep "$(VOLUME_NAME)" | grep "Apple_HFS" | awk '{print $$6}'`
 	rm -f "$(MASTER_DMG)"
 	hdiutil convert "$(WC_DMG)" -quiet -format UDZO -imagekey zlib-level=9 -o "$@"
 	rm -rf $(WC_DIR)

## psi 0.12.1

=== mac/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 NAME=Psi
 VOLUME_NAME=$(NAME)
 #VERSION=0.12-devel_$(shell date +"%Y%m%d")
-VERSION=0.12
+VERSION=0.12.1
 
 APPFILE_NAME=Psi.app
 FILES=$(APPFILE_NAME)

## psi 0.13

=== mac/Makefile ===
--- 
+++ 
@@ -20,13 +20,14 @@
 # Change these according to your own setup
 QCADIR=/usr/local
 GROWLDIR=/Library/Frameworks
+SPARKLEDIR=/Library/Frameworks
 PSI_DIR=..
 
 EXECUTABLE_NAME=psi
 NAME=Psi
 VOLUME_NAME=$(NAME)
-#VERSION=0.12-devel_$(shell date +"%Y%m%d")
-VERSION=0.12.1
+#VERSION=0.13-devel_$(shell date +"%Y%m%d")
+VERSION=0.13
 
 APPFILE_NAME=Psi.app
 FILES=$(APPFILE_NAME)
@@ -39,7 +40,7 @@
 
 # Other variables
 QT_FRAMEWORK_VERSION=4
-QT_FRAMEWORKS=QtCore QtXml QtNetwork QtGui QtSql Qt3Support
+QT_FRAMEWORKS=QtCore QtXml QtNetwork QtGui QtSql Qt3Support QtSvg
 QT_PLUGINS=imageformats/libqjpeg.dylib imageformats/libqgif.dylib
 
 # The rules
@@ -86,6 +87,7 @@
 	ditto -rsrc "$<" "$@"
 	mkdir -p "$@/Contents/Frameworks"
 	-ditto -rsrc "$(GROWLDIR)/Growl.framework" "$@/Contents/Frameworks/Growl.framework"
+	-ditto -rsrc "$(SPARKLEDIR)/Sparkle.framework" "$@/Contents/Frameworks/Sparkle.framework"
 	#strip "$@/Contents/MacOS/$(EXECUTABLE_NAME)"
 	#
 	#@echo
@@ -102,6 +104,10 @@
 		mkdir -p "$@/Contents/Plugins/`dirname $$f`"; \
 		cp -f "$(QTDIR)/plugins/$$f" "$@/Contents/Plugins/`dirname $$f`"; \
 	done; \
+	#
+	@echo
+	@echo Writing qt.conf ...
+	echo "[Paths]\nPlugins = Plugins" > "$@/Contents/Resources/qt.conf"
 	#
 	@echo
 	@echo Installing Qt Frameworks ...

## psi 0.14

=== mac/Makefile ===
--- 
+++ 
@@ -26,8 +26,8 @@
 EXECUTABLE_NAME=psi
 NAME=Psi
 VOLUME_NAME=$(NAME)
-#VERSION=0.13-devel_$(shell date +"%Y%m%d")
-VERSION=0.13
+#VERSION=0.14-devel_$(shell date +"%Y%m%d")
+VERSION=0.14
 
 APPFILE_NAME=Psi.app
 FILES=$(APPFILE_NAME)

=== win32/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	copy $(QTDIR)\bin\Qt3Support4.dll $(TARGET_DIR)
 	copy $(QTDIR)\bin\QtSql4.dll $(TARGET_DIR)
 	copy $(MINGWDIR)\bin\mingwm10.dll $(TARGET_DIR)
-	copy ..\src\tools\idle\win32\idleui.dll $(TARGET_DIR)
+	copy ..\src\libpsi\tools\idle\win32\idleui.dll $(TARGET_DIR)
 	xcopy /i /e /q /y ..\certs $(TARGET_DIR)\certs
 	xcopy /i /e /q /y ..\iconsets $(TARGET_DIR)\iconsets
 	xcopy /i /e /q /y ..\sound $(TARGET_DIR)\sound

=== debian/changelog ===
psi (0.14-3) unstable; urgency=low

  * Fixed clean target (Closes: Bug#666161)
  * Add missing include to fix build with gcc 4.7 (Closes: Bug#667332)
  * Build-depend on libenchant-dev (Closes: Bug#571657)
  * Updated manual page (new man page generated with help2man)
    (Closes: Bug#602335)
  * Switch to dh build tool
  * Fix clean target (Closes: Bug#666161)
  * Set Standards-Version to 3.9.3

 -- Jan Niehusmann <jan@debian.org>  Fri, 06 Apr 2012 18:21:48 +0200

psi (0.14-2) unstable; urgency=low

  * comment out only function which uses va_list to work around build
    problems on armel
  * Set Standards-Version to 3.8.4

 -- Jan Niehusmann <jan@debian.org>  Fri, 19 Feb 2010 09:37:12 +0100

psi (0.14-1) unstable; urgency=low

  * New Upstream Version
  * Disable (separate) debug info

 -- Jan Niehusmann <jan@debian.org>  Wed, 06 Jan 2010 17:18:28 +0100

psi (0.13-1) unstable; urgency=low

  * Updated to upstream version 0.13
  * Set Standards-Version to 3.8.3

 -- Jan Niehusmann <jan@debian.org>  Fri, 25 Sep 2009 17:49:51 +0200

psi (0.12.1-2) unstable; urgency=low

  * Build-depend on qt >= 4.5.1
    This should fix an incompatibility between binaries compiled with
    older qt versions and newer shared library versions. (Closes: Bug#526335)
  * Conflict with libqca2 << 2.0.2, as older qca versions cause
    problems with qt 4.5.
  * Update Standards-Version

 -- Jan Niehusmann <jan@debian.org>  Sat, 23 May 2009 15:05:57 +0200

psi (0.12.1-1) unstable; urgency=high

  * New Upstream Version
    This fixes remote DoS vulnerability CVE-2008-6393 found and reported
    by Jesus Olmos Gonzalez (jolmos (at) isecauditors (dot) com).
    The original advisory is available at:
    http://www.securityfocus.com/archive/1/499563
    (Closes: Bug#518468)
  * Depend on qt << 4.5.0 as psi needs some patches to work with qt 4.5
  * Psi currently doesn't handle missing ssl plugin gracefully. Therefore,
    depend on libqca2-plugin-ossl instead of only recommending it.
    (Closes: Bug#504644)

 -- Jan Niehusmann <jan@debian.org>  Mon, 09 Mar 2009 18:31:53 +0100

psi (0.12-2) unstable; urgency=low

  * Uploading to unstable (Closes: Bug#494352)

 -- Jan Niehusmann <jan@debian.org>  Thu, 28 Aug 2008 18:46:52 +0200

psi (0.12-1) experimental; urgency=low

  * Updated to upstream version 0.12
  * Removed some (windows) binaries without sources available from the
    orig tarball
  * Noticed removal of binaries in debian/copyright
  * Fixed some lintian warnings regarding file formatting
  * Bumped Standards-Version to 3.8.0
  * Changed dependency on libqt4-dev to >=4.2.3 (instead of >=4.2.3-1)
  * Revert CONFIG -= link_prl additions as they are not necessary
    since qt 4.4.0~rc1-4
  * Build-Conflict with libqt4-dev 4.4.0~rc1-3

 -- Jan Niehusmann <jan@debian.org>  Wed, 20 Aug 2008 09:25:13 +0200

psi (0.11-8) unstable; urgency=low

  * added CONFIG -= link_prl to .pro files and removed dependencies
    which are made unnecessary by this change
  * Fix segfault when closing last chat tab with qt4.4
    (This is from upstream svn, rev. 1101) (Closes: Bug#476122)

 -- Jan Niehusmann <jan@debian.org>  Mon, 14 Apr 2008 18:57:30 +0200

psi (0.11-7) unstable; urgency=low

  * With version 4.4.0~rc1-3, libqt4-dev removed some dependencies which
    psi needs for building. Added them directly to the psi package.

 -- Jan Niehusmann <jan@debian.org>  Sun, 13 Apr 2008 21:43:33 +0200

psi (0.11-6) unstable; urgency=low

  * Initialize w2tab before calling addTab in optionstab.cpp 
    (Closes: Bug#475748)
  * added -Wl,--as-needed to LDFLAGS, to minimize dependencies

 -- Jan Niehusmann <jan@debian.org>  Sun, 13 Apr 2008 17:24:11 +0200

psi (0.11-5) unstable; urgency=low

  * Suggest xdg-utils, since psi can use it to select the default
    browser.  (Closes: Bug#473837)
  * remove /usr/sbin von debian/dirs
  * Add README.chinese_fonts with some hints provided by Toni Mueller 
    (Closes: Bug#280124)
  * Update the manual page. It now mentions the online
    tutorial on the psi wiki, which should provide sufficient
    documentation for new users. (Closes: Bug#307766)

 -- Jan Niehusmann <jan@debian.org>  Sun, 06 Apr 2008 22:08:11 +0200

psi (0.11-4) unstable; urgency=low

  * Set debian/compat to 5
  * Really set build-dependency on debhelper to >= 5.0.51 (and not
    >>5.0.51)
  * Update package description. (Closes: Bug#471396)
  * Ignore trailing and leading whitespaces in host name
  * Apply upstream patch to properly show gpg passphrase dialog.
    (Closes: Bug#421194)
  * Update Standards-Version to 3.7.3

 -- Jan Niehusmann <jan@debian.org>  Mon, 24 Mar 2008 20:30:24 +0100

psi (0.11-3) unstable; urgency=low

  * Added libaspell-dev as build-dependency (Closes: Bug#448434)
  * Applied patch submitted by Sikon to use lsb_release to retreive
    operating system name (Closes: Bug#451131)
  * Added call to dh_icons to debian/rules
  * Set build-dependency on debhelper to >= 5.0.51 (for dh_icons)

 -- Jan Niehusmann <jan@debian.org>  Thu, 15 Nov 2007 13:17:28 +0100

psi (0.11-2) unstable; urgency=low

  * Call configure with option --disable-bundled-qca (Closes: Bug#448363)
  * Remove old NEWS.Debian

 -- Jan Niehusmann <jan@debian.org>  Wed, 07 Nov 2007 12:02:15 +0100

psi (0.11-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable

 -- Jan Niehusmann <jan@debian.org>  Sat, 27 Oct 2007 15:44:16 +0200

psi (0.11~rc3-1) experimental; urgency=low

  * New upstream release
  * Updated dependencies (Closes: Bug#443120)

 -- Jan Niehusmann <jan@debian.org>  Sun, 07 Oct 2007 15:36:20 +0200

psi (0.11~rc2-2.1) experimental; urgency=low

  * always build with --enable-debug

 -- Jan Niehusmann <jan@jannic.reliablesolutions.de>  Tue, 14 Aug 2007 19:15:40 +0200

psi (0.11~rc2-2) experimental; urgency=low

  * Honour DEB_BUILD_OPTIONS=nostrip (Closes: Bug#437834)
  * Updated menu file to new menu policy (Section is now
    Applications/Network/Communication)


=== debian/control ===
Source: psi
Section: net
Priority: optional
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 8.0.0), libqt4-dev (>= 4.5.1), libqca2-dev (>= 2.0.0), libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev, libenchant-dev, hardening-wrapper
Standards-Version: 3.9.3

Package: psi
Architecture: any
Recommends: sox
Breaks: libqca2 (<< 2.0.2)
Depends: ${shlibs:Depends}, ${misc:Depends}, libqca2-plugin-ossl
Suggests: psi-translations, libqca2-plugin-gnupg, xdg-utils
Description: Jabber client using Qt
 Psi is a free instant messaging application designed for the Jabber
 (XMPP) IM network (including Google Talk). It has full Unicode support, 
 and supports most important XMPP features like file transfer, group chat,
 encryption etc.
 .
 Psi relies on the qca2 library for its encryption features. Therefore,
 it's necessary to install libqca2-plugin-ossl for SSL (client-to-server)
 encryption and libqca2-plugin-gnupg for PGP (end-to-end) encryption.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_HARDENING=1
#export DEB_BUILD_HARDENING_DEBUG=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	./configure --prefix=/usr --qtdir=/usr/share/qt4/ --disable-bundled-qca --no-separate-debug-info # --enable-debug

override_dh_icons:
	mkdir -p $(CURDIR)/debian/psi/usr/share/pixmaps
	cp debian/psi.xpm $(CURDIR)/debian/psi/usr/share/pixmaps/
	dh_icons

override_dh_clean:
	dh_clean
	-rm conf.log
	-rm conf.pri
	-rm iris/conf.pri
	-rm iris/lib/libiris.a
	-rm iris/lib/libiris.prl
	-rm iris/lib/libirisnet.a
	-rm iris/lib/libirisnet.prl
	-rm psi
	-rm src/config.h


#configure: configure-stamp
#configure-stamp:
#	dh_testdir
#	# Add here commands to configure the package.
#	
#
#	touch configure-stamp
#
#build: configure-stamp build-stamp
#build-stamp:
#	dh_testdir
#
#	# Add here commands to compile the package.
#	./configure --prefix=/usr --qtdir=/usr/share/qt4/ --disable-bundled-qca --no-separate-debug-info # --enable-debug
#	$(MAKE) 
#	#/usr/bin/docbook-to-man debian/psi.sgml > psi.1
#
#	touch build-stamp
#
#clean:
#	dh_testdir
#	dh_testroot
#	rm -f build-stamp configure-stamp
#
#	# Add here commands to clean up after the build process.
#	[ ! -f Makefile ] || $(MAKE) distclean
#	-rm src/Makefile
#	-rm Makefile
#	-rm libpsi/psiwidgets/Makefile
#	-rm src/psi
#	-rm conf.pri
#	-rm extra.pri
#	-rm conf.log
#	-rm src/config.h
#	-rm src/.qmake.internal.cache
#	-rm psi
#
#	dh_clean
#
#install: build
#	dh_testdir
#	dh_testroot
#	dh_clean -k
#	dh_installdirs
#
#	# Add here commands to install the package into debian/psi.
#	$(MAKE) install INSTALL_ROOT=$(CURDIR)/debian/psi
#
#	mkdir -p $(CURDIR)/debian/psi/usr/share/doc/psi
#	mkdir -p $(CURDIR)/debian/psi/usr/share/lintian/overrides/
#	mkdir -p $(CURDIR)/debian/psi/usr/share/pixmaps
#
#	ln -sf ../../psi/README $(CURDIR)/debian/psi/usr/share/doc/psi/README
#	cp ./debian/lintian-override $(CURDIR)/debian/psi/usr/share/lintian/overrides/psi
#	cp ./psi.xpm $(CURDIR)/debian/psi/usr/share/pixmaps
#
## Build architecture-independent files here.
#binary-indep: build install
## We have nothing to do by default.
#
## Build architecture-dependent files here.
#binary-arch: build install
#	dh_testdir
#	dh_testroot
##	dh_installdebconf	
#	dh_installdocs
#	dh_installexamples
#	dh_installmenu
##	dh_installlogrotate
##	dh_installemacsen
##	dh_installpam
##	dh_installmime
##	dh_installinit
##	dh_installcron
#	dh_installman
##	dh_installinfo
##	dh_undocumented
#	dh_installchangelogs
#	dh_icons
#	dh_link
#	dh_strip
#	dh_compress
#	dh_fixperms
##	dh_makeshlibs
#	dh_installdeb
##	dh_perl
#	dh_shlibdeps
#	dh_gencontrol
#	dh_md5sums
#	dh_builddeb
#
#binary: binary-indep binary-arch
#.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://sf.net/psi/psi-(.+)\.tar\.gz

## psi 0.15

=== doc/Makefile ===
.PHONY: all
all: 

.PHONY: api_public
api_public:
	cd .. && doxygen doc/Doxyfile.public

.PHONY: api_private
api_private:
	cd .. && doxygen doc/Doxyfile.private

=== debian/changelog ===
psi (0.15-2build2) xenial; urgency=medium

  * No-change rebuild for qca2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 15:31:37 +0000

psi (0.15-2build1) wily; urgency=medium

  * No-change rebuild against libqca2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 21:13:27 +0000

psi (0.15-2) unstable; urgency=low

  * Fix watch file (point to github instead of sourceforge)
  * Apply hardening flags to iris sources

 -- Jan Niehusmann <jan@debian.org>  Sat, 12 Jul 2014 20:03:29 +0200

psi (0.15-1) unstable; urgency=low

  * New upstream version
  * set debhelper compat level to 9
  * set Standards-Version to 3.9.5 (no further changes)
  * add lintian override regarding license-problem-non-free-RFC
  * use qconf to regenerate configure script
  * implement hardening using buildflags instead of hardening-wrapper

 -- Jan Niehusmann <jan@debian.org>  Tue, 01 Jul 2014 21:49:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: psi
 Section: net
 Priority: optional
-Maintainer: Jan Niehusmann <jan@debian.org>
-Build-Depends: debhelper (>= 8.0.0), libqt4-dev (>= 4.5.1), libqca2-dev (>= 2.0.0), libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev, libenchant-dev, hardening-wrapper
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jan Niehusmann <jan@debian.org>
+Build-Depends: debhelper (>= 9.0.0), libqt4-dev (>= 4.5.1), libqca2-dev (>= 2.0.0), libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev, libenchant-dev, qconf
+Standards-Version: 3.9.5
 
 Package: psi
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

Q_CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
Q_CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(Q_CPPFLAGS)
Q_CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(Q_CPPFLAGS)
Q_LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export Q_CPPFLAGS Q_CFLAGS Q_CXXFLAGS Q_LDFLAGS

%:
	dh $@ --parallel

override_dh_auto_configure:
	qt-qconf
	./configure --prefix=/usr --qtdir=/usr/share/qt4/ --no-separate-debug-info # --enable-debug

override_dh_icons:
	mkdir -p $(CURDIR)/debian/psi/usr/share/pixmaps
	cp debian/psi.xpm $(CURDIR)/debian/psi/usr/share/pixmaps/
	dh_icons

override_dh_clean:
	dh_clean
	-rm conf.log
	-rm conf.pri
	-rm iris/conf.pri
	-rm iris/lib/libiris.a
	-rm iris/lib/libiris.prl
	-rm iris/lib/libirisnet.a
	-rm iris/lib/libirisnet.prl
	-rm src/psi
	-rm src/config.h

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/psi-$1\.tar\.gz/ \
  https://github.com/psi-im/psi/tags .*/v?(\d\S*)\.tar\.gz

## psi 1.3

=== doc/Makefile ===
.PHONY: all
all: 

.PHONY: api_public
api_public:
	mkdir -p api/public && cd .. && doxygen doc/Doxyfile.public

.PHONY: api_private
api_private:
	mkdir -p api/private && cd .. && doxygen doc/Doxyfile.private

=== src/tabs/CMakeLists.txt ===
unset(MOC_SOURCES)
unset(HEADERS)
unset(PLAIN_HEADERS)
unset(FORMS)
unset(SOURCES)
unset(PLAIN_SOURCES)
unset(UI_FORMS)

set(HEADERS
	tabdlg.h
	tabmanager.h
	tabbablewidget.h
)

set(PLAIN_SOURCES
	tabdlg.cpp
	tabmanager.cpp
	tabbablewidget.cpp
)

qt_wrap_cpp(MOC_SOURCES ${HEADERS})
add_library(tabs STATIC  ${HEADERS} ${MOC_SOURCES} ${PLAIN_SOURCES})
target_link_libraries(tabs ${QT_LIBRARIES} ${iris_LIB} tools widgets)
target_include_directories(tabs PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

=== src/tools/CMakeLists.txt ===
unset(MOC_SOURCES)
unset(HEADERS)
unset(PLAIN_HEADERS)
unset(FORMS)
unset(SOURCES)
unset(PLAIN_SOURCES)
unset(UI_FORMS)
unset(EXTRA_LDFLAGS)

list(APPEND SOURCES
	# iconset
	iconset/iconset.cpp
	iconset/anim.cpp

	# advwidget
	advwidget/advwidget.cpp
)

list(APPEND PLAIN_SOURCES
	# optionstree
	optionstree/optionstree.cpp
	optionstree/optionstreemodel.cpp
	optionstree/optionstreereader.cpp
	optionstree/optionstreewriter.cpp
	optionstree/varianttree.cpp

	# psifile
	tunecontroller/filetunecontroller.cpp
	tunecontroller/pollingtunecontroller.cpp
	tunecontroller/tunecontrollermanager.cpp
	tunecontroller/plugins/psifile/psifileplugin.cpp
)

list(APPEND HEADERS
	# iconset
	iconset/iconset.h

	# optionstree
	optionstree/optionstree.h
	optionstree/varianttree.h
	optionstree/optionstreemodel.h

	# advwidget
	advwidget/advwidget.h

	# tunecontroller
	tunecontroller/filetunecontroller.h
	tunecontroller/pollingtunecontroller.h
	tunecontroller/tunecontroller.h

	# psifile
	tunecontroller/tunecontrollermanager.h
	tunecontroller/plugins/psifile/psifileplugin.h
)

list(APPEND PLAIN_HEADERS
	# iconset
	iconset/anim.h

	# optionstree
	optionstree/optionstreereader.h
	optionstree/optionstreewriter.h

	# tunecontroller
	tunecontroller/tune.h
	tunecontroller/tunecontrollerinterface.h
	tunecontroller/tunecontrollerplugin.h
)

list(APPEND PLAIN_HEADERS
	crash/crash.h
)

if(LINUX)
	list(APPEND PLAIN_SOURCES
		crash/crash_sigsegv.cpp
		crash/crash.cpp
	)
	list(APPEND PLAIN_HEADERS
		crash/crash_sigsegv.h
	)
endif()
if(WIN32)
	list(APPEND PLAIN_SOURCES
		crash/crash_dummy.cpp
	)
endif()
	
include_directories(tunecontroller)

add_definitions(-DTC_PSIFILE)
include_directories(
	tunecontroller/plugins/psifile
)

if(APPLE)
	list(APPEND EXTRA_LDFLAGS -framework CoreFoundation)
	include_directories(tunecontroller/plugins/itunes)
	add_definitions(-DTC_ITUNES)
	list(APPEND SOURCES
		tunecontroller/itunestunecontroller.cpp
		tunecontroller/plugins/itunes/itunesplugin.cpp
	)

	list(APPEND HEADERS
		tunecontroller/itunestunecontroller.h
	)
elseif(WIN32)
	list(APPEND EXTRA_LDFLAGS -luser32)
	include_directories(
		tunecontroller/plugins/winamp
		tunecontroller/plugins/aimp
	)
	add_definitions(-DTC_WINAMP -DTC_AIMP)
	list(APPEND SOURCES
		tunecontroller/plugins/aimp/aimpplugin.cpp
	)

	list(APPEND PLAIN_SOURCES
		tunecontroller/aimptunecontroller.cpp
		tunecontroller/winamptunecontroller.cpp
		tunecontroller/plugins/winamp/winampplugin.cpp
	)

	list(APPEND HEADERS
		tunecontroller/aimptunecontroller.h
		tunecontroller/winamptunecontroller.h
		tunecontroller/plugins/winamp/winampplugin.h
	)
elseif(LINUX)  
	include_directories(tunecontroller/plugins/mpris)
	add_definitions(-DTC_MPRIS)
	list(APPEND SOURCES
		tunecontroller/plugins/mpris/mprisplugin.cpp
	)

	list(APPEND PLAIN_SOURCES
		tunecontroller/mpristunecontroller.cpp
		tunecontroller/plugins/mpris/mprisplugin.cpp
	)

	list(APPEND HEADERS
		tunecontroller/mpristunecontroller.h
	)
endif()

qt_wrap_cpp(MOC_SOURCES ${SOURCES} ${HEADERS})
add_library(tools STATIC ${SOURCES} ${HEADERS} ${MOC_SOURCES} ${PLAIN_SOURCES} ${PLAIN_HEADERS})
target_link_libraries(tools ${QT_LIBRARIES} ${iris_LIB} zip ${EXTRA_LDFLAGS})
target_include_directories(tools PUBLIC
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/crash
	${CMAKE_CURRENT_SOURCE_DIR}/optionstree
	${CMAKE_CURRENT_SOURCE_DIR}/advwidget
	${CMAKE_CURRENT_SOURCE_DIR}/iconset
	${CMAKE_CURRENT_SOURCE_DIR}/tunecontroller
)

=== src/widgets/CMakeLists.txt ===
unset(MOC_SOURCES)
unset(HEADERS)
unset(PLAIN_HEADERS)
unset(FORMS)
unset(SOURCES)
unset(PLAIN_SOURCES)
unset(UI_FORMS)
unset(EXTRA_LDFLAGS)

set(SOURCES
	busywidget.cpp
	fancylabel.cpp
	fancypopup.cpp
	iconaction.cpp
	iconselect.cpp
	iconwidget.cpp
	psirichtext.cpp
	psitextview.cpp
	psitooltip.cpp
	urlobject.cpp
)

set(PLAIN_SOURCES
	actionlineedit.cpp
	psitabbar.cpp
	psitabwidget.cpp
	psitiplabel.cpp
	typeaheadfind.cpp
	urllabel.cpp
)

set(HEADERS
	actionlineedit.h
	busywidget.h
	fancylabel.h
	fancypopup.h
	fancypopuplist.h
	iconaction.h
	iconbutton.h
	iconlabel.h
	iconselect.h
	iconsetdisplay.h
	iconsetselect.h
	icontoolbutton.h
	iconwidget.h
	psitabbar.h
	psitabwidget.h
	psitextview.h
	psitiplabel.h
	typeaheadfind.h
	updatingcombobox.h
	urllabel.h
	urlobject.h
)

set(PLAIN_HEADERS
	psirichtext.h
	psitooltip.h
	stretchwidget.h
)

set(FORMS
	fancypopup.ui
)

if(IS_PSIPLUS)
	list(APPEND PLAIN_SOURCES
		psiwindowheader.cpp
	)
	list(APPEND HEADERS
		psiwindowheader.h
	)
	list(APPEND FORMS
		psiwindowheader.ui
	)
	#check for 0280 patch
	if(EXISTS "${PROJECT_SOURCE_DIR}/src/widgets/tabbar.cpp")
		list(APPEND SOURCES
			tabbar.cpp
		)
		list(APPEND HEADERS
			tabbar.h
		)
	endif()
endif()

qt4_wrap_ui(UI_FORMS ${FORMS})
qt_wrap_cpp(MOC_SOURCES ${SOURCES} ${HEADERS})
add_library(widgets STATIC ${SOURCES} ${HEADERS} ${MOC_SOURCES} ${UI_FORMS} ${PLAIN_SOURCES} ${PLAIN_HEADERS})
target_link_libraries(widgets ${QT_LIBRARIES} ${iris_LIB} libpsi_tools)
target_include_directories(widgets PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

=== src/libpsi/tools/zip/CMakeLists.txt ===
unset(MOC_SOURCES)
unset(HEADERS)
unset(PLAIN_HEADERS)
unset(FORMS)
unset(SOURCES)
unset(PLAIN_SOURCES)
unset(UI_FORMS)
unset(EXTRA_LDFLAGS)

find_package(ZLIB REQUIRED)

include_directories(${ZLIB_INCLUDE_DIRS})

find_package(MINIZIP QUIET)

set(DEPLIBS
	${ZLIB_LIBRARIES}
	)

if(NOT MINIZIP_FOUND)
	set(USE_PSI_MINIZIP ON)
else()
	include_directories(${MINIZIP_INCLUDE_DIR})
	set(DEPLIBS
		${DEPLIBS}
		${MINIZIP_LIBRARY}
		)
endif()

set(PLAIN_HEADERS
	zip.h
	)

set(PLAIN_SOURCES
	zip.cpp
	)

if(USE_PSI_MINIZIP)
	set(PLAIN_SOURCES
		${PLAIN_SOURCES}
		minizip/unzip.c
		)
	add_definitions(-DPSIMINIZIP)
endif()

add_library(zip STATIC ${PLAIN_SOURCES} ${PLAIN_HEADERS})
target_link_libraries(zip ${QT_LIBRARIES} ${DEPLIBS})
target_include_directories(zip PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} minizip ..)

=== iris/src/jdns/src/jdns/CMakeLists.txt ===
set(jdns_SRCS
    jdns.c
    jdns_mdnsd.c
    jdns_packet.c
    jdns_sys.c
    jdns_util.c
)


set(jdns_PUBLIC_HEADERS
    "${JDNS_INCLUDEDIR}/jdns.h"
    "${JDNS_INCLUDEDIR}/jdns_export.h"
)

set(jdns_HEADERS
    jdns_packet.h
    jdns_mdnsd.h
    jdns_p.h
)

add_library(jdns ${jdns_SRCS} ${jdns_HEADERS} ${jdns_PUBLIC_HEADERS})

if(WIN32)
  target_link_libraries(jdns ws2_32 advapi32)
endif(WIN32)

if(NOT android)
  set_target_properties(jdns PROPERTIES
                        VERSION ${JDNS_LIB_MAJOR_VERSION}.${JDNS_LIB_MINOR_VERSION}.${JDNS_LIB_PATCH_VERSION}
                        SOVERSION ${JDNS_LIB_MAJOR_VERSION}
  )
endif()
set_target_properties(jdns PROPERTIES
                      DEFINE_SYMBOL JDNS_MAKEDLL
                      PUBLIC_HEADER "${jdns_PUBLIC_HEADERS}"
#                     FRAMEWORK ${OSX_FRAMEWORK}
)

install(TARGETS jdns EXPORT jdns-export
        LIBRARY DESTINATION ${LIB_INSTALL_DIR}
        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
        ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
#       FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
        PUBLIC_HEADER DESTINATION "${INCLUDE_INSTALL_DIR}/jdns"
)

if(MSVC)
  get_target_property(LOCATION jdns LOCATION_DEBUG)
  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
  install(FILES ${LOCATION} DESTINATION ${LIB_INSTALL_DIR} CONFIGURATIONS Debug)

  get_target_property(LOCATION jdns LOCATION_RELWITHDEBINFO)
  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
  install(FILES ${LOCATION} DESTINATION ${LIB_INSTALL_DIR} CONFIGURATIONS RelWithDebInfo)
endif(MSVC)

=== debian/changelog ===
psi (1.3-6) unstable; urgency=medium

  * Update watch file to point to the project's github page
  * Use libhunspell instead of libenchant (Closes: Bug#956691)

 -- Jan Niehusmann <jan@debian.org>  Wed, 01 Jul 2020 23:01:13 +0200

psi (1.3-5) unstable; urgency=medium

  * Cherry-pick fix for compilation with qt 5.11
    (Closes: Bug#907205)

 -- Jan Niehusmann <jan@debian.org>  Sat, 25 Aug 2018 10:37:28 +0200

psi (1.3-4) unstable; urgency=medium

  * Don't depend on obsolete libqca2-plugin-gnupg.
  * Generate configure script with qconf, again, reverting
    changes made in version 0.15-3. Incompatibilities
    between qconf and psi's build setup seem to be fixed.
    (Closes: Bug#897112)

 -- Jan Niehusmann <jan@debian.org>  Sat, 28 Apr 2018 18:02:15 +0200

psi (1.3-3) unstable; urgency=low

  * Set Standards-Version to 4.1.1

 -- Jan Niehusmann <jan@debian.org>  Thu, 26 Oct 2017 20:44:19 +0200

psi (1.3-2) unstable; urgency=medium

  * Fix dependency on qca plugins (use qt5 version)
  * Fix selection of qt5 (Closes: Bug#879457)
    (hardcoding a path only available on x86_64 obviously was a bad idea)

 -- Jan Niehusmann <jan@debian.org>  Sat, 21 Oct 2017 22:11:44 +0200

psi (1.3-1) unstable; urgency=medium

  * New upstream version 1.3
  * Closes: Bug#875119

 -- Jan Niehusmann <jan@debian.org>  Sat, 21 Oct 2017 11:23:55 +0200

psi (0.15-4) unstable; urgency=medium

  * Fix build error on architectures where 'char' is unsigned.
  * Remove menu file. Fixes lintian warning
    'command-in-menu-file-and-desktop-file'.
  * Set Standards-Version to 3.9.8

 -- Jan Niehusmann <jan@debian.org>  Sun, 06 Nov 2016 11:34:27 +0100

psi (0.15-3) unstable; urgency=low

  * Build against libminizip-dev package (Closes: Bug#759334)
  * Use packaged ./configure script, as qconf-2.1-1 in sid
    is incompatible with psi's build setup. (Closes: Bug#841627)
  * Set INSTALL_ROOT when calling dh_auto_install.
  * Set Standards-Version to 3.9.7 (no further changes)

 -- Jan Niehusmann <jan@debian.org>  Fri, 21 Oct 2016 22:21:01 +0200

=== debian/control ===
Source: psi
Section: net
Priority: optional
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev-tools, qtbase5-dev, libqca-qt5-2-dev, libxss-dev, libaspell-dev, zlib1g-dev, libsm-dev, libhunspell-dev, libminizip-dev, libidn11-dev, libqt5x11extras5-dev, qtmultimedia5-dev, qconf
Standards-Version: 4.1.1

Package: psi
Architecture: any
Recommends: sox
Depends: ${shlibs:Depends}, ${misc:Depends}, libqca-qt5-2-plugins
Suggests: psi-translations, xdg-utils
Description: Jabber client using Qt
 Psi is a free instant messaging application designed for the Jabber
 (XMPP) IM network (including Google Talk). It has full Unicode support,
 and supports many important XMPP features like file transfer, group chat,
 encryption etc.

=== debian/watch ===
version=4
opts="compression=xz,repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%psi-$1.tar.gz%" \
    https://github.com/psi-im/psi/releases \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## psi 1.3.1%2Brb2

=== debian/changelog ===
psi (1.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Jan Niehusmann <jan@debian.org>  Fri, 29 Jan 2021 09:27:22 +0800

## psi 1.3.1+rb2

=== win32/Makefile ===
--- 
+++ 
@@ -19,7 +19,6 @@
 	copy $(QTDIR)\bin\QtGui4.dll $(TARGET_DIR)
 	copy $(QTDIR)\bin\QtNetwork4.dll $(TARGET_DIR)
 	copy $(QTDIR)\bin\QtXml4.dll $(TARGET_DIR)
-	copy $(QTDIR)\bin\Qt3Support4.dll $(TARGET_DIR)
 	copy $(QTDIR)\bin\QtSql4.dll $(TARGET_DIR)
 	copy $(MINGWDIR)\bin\mingwm10.dll $(TARGET_DIR)
 	copy ..\src\libpsi\tools\idle\win32\idleui.dll $(TARGET_DIR)

=== src/contactmanager/CMakeLists.txt ===
unset(MOC_SOURCES)
unset(HEADERS)
unset(PLAIN_HEADERS)
unset(FORMS)
unset(SOURCES)
unset(PLAIN_SOURCES)
unset(UI_FORMS)
unset(EXTRA_LDFLAGS)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

list(APPEND HEADERS
	contactmanagerdlg.h
	contactmanagermodel.h
	contactmanagerview.h
)

list(APPEND PLAIN_SOURCES
	contactmanagerdlg.cpp
	contactmanagermodel.cpp
	contactmanagerview.cpp
)

list(APPEND FORMS
	contactmanagerdlg.ui
)

qt4_wrap_ui(UI_FORMS ${FORMS})
qt_wrap_cpp(MOC_SOURCES ${HEADERS})
add_library(contactmanager STATIC ${HEADERS} ${MOC_SOURCES} ${UI_FORMS} ${PLAIN_SOURCES})
target_link_libraries(contactmanager ${QT_LIBRARIES} widgets)
target_include_directories(contactmanager PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
